# Get One Return's status history GET https://api.shipbob.com/1.0/return/{id}/statushistory Reference: https://developer.shipbob.com/v2.0/api/returns/get-one-returns-status-history ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: api-1.0 version: 1.0.0 paths: /1.0/return/{id}/statushistory: get: operationId: get-one-returns-status-history summary: | Get One Return's status history tags: - subpackage_returns parameters: - name: id in: path description: Id of the return order required: true schema: type: string format: int32 - name: Authorization in: header description: Authentication using Personal Access Token (PAT) token required: true schema: type: string - name: shipbob_channel_id in: header description: Channel Id for Operation required: false schema: type: string format: int32 responses: '200': description: Success content: application/json: schema: $ref: >- #/components/schemas/Returns.ReturnOrderStatusHistoryViewModelArray '401': description: Authorization missing or invalid content: application/json: schema: description: Any type '403': description: The provided credentials are not authorized to access this resource content: application/json: schema: description: Any type '404': description: Not Found content: application/json: schema: $ref: '#/components/schemas/Returns.ValidationProblemDetails' servers: - url: https://api.shipbob.com - url: https://sandbox-api.shipbob.com components: schemas: Returns.ReturnStatus: type: string enum: - AwaitingArrival - Arrived - Processing - Completed - Cancelled title: Returns.ReturnStatus Returns.ReturnOrderStatusHistoryViewModel: type: object properties: status: $ref: '#/components/schemas/Returns.ReturnStatus' time_stamp: type: string format: date-time description: Date this corresponding return order status was created title: Returns.ReturnOrderStatusHistoryViewModel Returns.ReturnOrderStatusHistoryViewModelArray: type: array items: $ref: '#/components/schemas/Returns.ReturnOrderStatusHistoryViewModel' title: Returns.ReturnOrderStatusHistoryViewModelArray ReturnsValidationProblemDetailsExtensions: type: object properties: {} title: ReturnsValidationProblemDetailsExtensions Returns.ValidationProblemDetails: type: object properties: detail: type: - string - 'null' errors: type: - object - 'null' additionalProperties: type: array items: type: string extensions: type: - object - 'null' additionalProperties: $ref: '#/components/schemas/ReturnsValidationProblemDetailsExtensions' instance: type: - string - 'null' status: type: - integer - 'null' title: type: - string - 'null' type: type: - string - 'null' title: Returns.ValidationProblemDetails securitySchemes: PAT: type: http scheme: bearer description: Authentication using Personal Access Token (PAT) token OAuth2: type: http scheme: bearer description: OAuth2 authentication using JWT tokens ``` ## SDK Code Examples ```python Returns_getOneReturnsStatusHistory_example import requests url = "https://api.shipbob.com/1.0/return/id/statushistory" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Returns_getOneReturnsStatusHistory_example const url = 'https://api.shipbob.com/1.0/return/id/statushistory'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Returns_getOneReturnsStatusHistory_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.shipbob.com/1.0/return/id/statushistory" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Returns_getOneReturnsStatusHistory_example require 'uri' require 'net/http' url = URI("https://api.shipbob.com/1.0/return/id/statushistory") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Returns_getOneReturnsStatusHistory_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.shipbob.com/1.0/return/id/statushistory") .header("Authorization", "Bearer ") .asString(); ``` ```php Returns_getOneReturnsStatusHistory_example request('GET', 'https://api.shipbob.com/1.0/return/id/statushistory', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Returns_getOneReturnsStatusHistory_example using RestSharp; var client = new RestClient("https://api.shipbob.com/1.0/return/id/statushistory"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Returns_getOneReturnsStatusHistory_example import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/1.0/return/id/statushistory")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```